#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2
visibility:           public
id:                   tree-diff-0.2-KXfgbx14u7F3W6R9mIApYh
key:                  tree-diff-0.2-KXfgbx14u7F3W6R9mIApYh
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  662e237f43aaa87d5bd1ea09a4148f2c
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.4/site-local/tree-diff-0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/tree-diff-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/tree-diff-0.2
hs-libraries:         HStree-diff-0.2-KXfgbx14u7F3W6R9mIApYh
depends:
    QuickCheck-2.14.2-5SjNJKKsajAoAy0kcEsoV
    aeson-1.5.6.0-KKLnIH6l1ju5f1LsAaB2FK
    ansi-terminal-0.11-5i9cd1Vu8V74uNk6uCV4wo
    ansi-wl-pprint-0.6.9-9TMkbhdL43WARfN95smaWt base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.12.0
    containers-0.6.2.1 deepseq-1.4.4.0
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh parsec-3.1.14.0
    parsers-0.12.10-8SiocojHnJD7pPlLZg8fIJ pretty-1.1.3.6
    primitive-0.7.1.0-B2oAiHIszjW9d5BDCCv0d7
    scientific-0.3.6.2-D0hjJkVU90r4jvb4s5pFyS
    semialign-1.2-CE3V6l1JSyLCO77IKd6qSW
    strict-0.4.0.1-C0RMWovBq0JIqycnuLQbRH
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1
    these-1.1.1.1-ATS36Mjp13G3amSk4etXiP time-1.9.3
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX
    uuid-types-1.0.5-KZOeLzgd2H7FQuEaKWAK6B
    vector-0.12.3.0-GRVR7S4hON84E5j6gLfg6y

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

